do
	--give it a slash command
	_G["SlashCmdList"]["REALIDTOONS_MAIN"] = function() InterfaceOptionsFrame_OpenToCategory("RealID Toons") end
	_G["SLASH_REALIDTOONS_MAIN1"] = "/ridt"
	
	--localization
	local L
	local LOCALE = GetLocale()
	if LOCALE ~= "enUS" and LOCALE ~= "enGB" then L = {} end
	
	if LOCALE == "esES" then
		L["Add faction information"] = "Añadir información sobre la facción"
-- 		L["Add friend notes"] = "Add friend notes"
		L["Add realm names"] = "Añadir nombre de los reinos"
		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "Añade la facción de tus amigos de RealID a las alertas si están en una facción distinta a la tuya"
		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "Añade el nombre del reino al RealID de tus amigos si están en un reino distinto al tuyo"
-- 		L["Adds your friends' notes to the alerts if you have set them"] = "Adds your friends' notes to the alerts if you have set them"
		L["Color by class"] = "Color por clase"
		L["Colors your RealID friends' character names by class in the alerts"] = "Añade el color de la clase en los personajes de tus amigos de RealID en las alertas"

	elseif LOCALE == "esMX" then
		L["Add faction information"] = "Añadir información sobre la facción"
-- 		L["Add friend notes"] = "Add friend notes"
		L["Add realm names"] = "Añadir nombre de los reinos"
		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "Añade la facción de tus amigos de RealID a las alertas si están en una facción distinta a la tuya"
		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "Añade el nombre del reino al RealID de tus amigos si están en un reino distinto al tuyo"
-- 		L["Adds your friends' notes to the alerts if you have set them"] = "Adds your friends' notes to the alerts if you have set them"
		L["Color by class"] = "Color por clase"
		L["Colors your RealID friends' character names by class in the alerts"] = "Añade el color de la clase en los personajes de tus amigos de RealID en las alertas"

	elseif LOCALE == "deDE" then
--@localization(locale="deDE", format="lua_additive_table", handle-unlocalized="comment, table-name="\t\tL"")@
	elseif LOCALE == "ruRU" then
		L["Add faction information"] = "Добавить инфо фракции"
-- 		L["Add friend notes"] = "Add friend notes"
		L["Add realm names"] = "Добавить название мира"
		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "Добавить к оповещениям фракцию вашего RealID друга, которая отличается от вашей"
		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "Добавить к оповещениям название игрового мира вашего RealID друга, которые находятся в других мерах"
-- 		L["Adds your friends' notes to the alerts if you have set them"] = "Adds your friends' notes to the alerts if you have set them"
		L["Color by class"] = "Окраска по классу"
		L["Colors your RealID friends' character names by class in the alerts"] = "Окрашивать имена персонажей ваших друзей RealID по классу"

	elseif LOCALE == "frFR" then
		L["Add faction information"] = "Ajouter la faction"
-- 		L["Add friend notes"] = "Add friend notes"
		L["Add realm names"] = "Ajouter le nom du royaume"
		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "Ajoute, dans les alertes, la faction de vos amis en nom réel s'ils sont de la faction adverse"
		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "Ajoute, dans les alertes, le nom du royaume de vos amis en nom réel s'ils sont sur un royaume différent"
-- 		L["Adds your friends' notes to the alerts if you have set them"] = "Adds your friends' notes to the alerts if you have set them"
		L["Color by class"] = "Couleur de classe"
		L["Colors your RealID friends' character names by class in the alerts"] = "Colorie, dans les alertes, les noms de personnage de vos amis en nom réel suivant leur classe"

	elseif LOCALE == "koKR" then
		L["Add faction information"] = "연합 정보 표시" -- Needs review
		L["Add friend notes"] = "친구 메모 추가" -- Needs review
		L["Add realm names"] = "서버 이름 표시" -- Needs review
		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "실명ID 친구중에 다른 연합의 친구가 있다면 연합 정보를 부가적으로 표시합니다." -- Needs review
		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "실명ID 친구중에 다른 서버의 친구가 있다면 서버이름을 부가적으로 표시합니다." -- Needs review
		L["Adds your friends' notes to the alerts if you have set them"] = "친구에 대한 메모를 추가할 수 있습니다." -- Needs review
		L["Color by class"] = "직업별 색상"
		L["Colors your RealID friends' character names by class in the alerts"] = "실명ID 친구에 직업별 색상으로 알립니다." -- Needs review

	elseif LOCALE == "zhCN" then
		L["Add faction information"] = "添加阵营信息"
-- 		L["Add friend notes"] = "Add friend notes"
		L["Add realm names"] = "添加服务器名称"
-- 		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "Add your RealID friends' faction to the alerts if they are on a different faction than you"
-- 		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "Add your RealID friends' realm name to the alerts if they are on a different realm than you"
-- 		L["Adds your friends' notes to the alerts if you have set them"] = "Adds your friends' notes to the alerts if you have set them"
		L["Color by class"] = "职业着色"
-- 		L["Colors your RealID friends' character names by class in the alerts"] = "Colors your RealID friends' character names by class in the alerts"

	elseif LOCALE == "zhTW" then
		L["Add faction information"] = "新增陣營資訊" -- Needs review
		L["Add friend notes"] = "增加好友註記"
		L["Add realm names"] = "新增範圍名稱" -- Needs review
-- 		L["Add your RealID friends' faction to the alerts if they are on a different faction than you"] = "Add your RealID friends' faction to the alerts if they are on a different faction than you"
-- 		L["Add your RealID friends' realm name to the alerts if they are on a different realm than you"] = "Add your RealID friends' realm name to the alerts if they are on a different realm than you"
-- 		L["Adds your friends' notes to the alerts if you have set them"] = "Adds your friends' notes to the alerts if you have set them"
		L["Color by class"] = "職業顏色" -- Needs review
-- 		L["Colors your RealID friends' character names by class in the alerts"] = "Colors your RealID friends' character names by class in the alerts"

	end
	
	L = setmetatable(L or {}, {__index = function(t, key)
		local value = tostring(key)
		t[key] = value
		return value
	end})
	
	--the actual interface
	local options = CreateFrame("FRAME", "RealID_ToonsConfig", InterfaceOptionsFramePanelContainer)
	options:Hide()
	options.name = "RealID Toons"
	InterfaceOptions_AddCategory(options)
	
	local title = options:CreateFontString("RealID_ToonsConfigTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -16)
	title:SetText("RealID Toons")
	
	local formatBox = CreateFrame("EditBox", "RealID_ToonsConfigBox1", options, "InputBoxTemplate")
	formatBox:SetWidth(180)
	formatBox:SetHeight(19)
	formatBox:SetPoint("TOPLEFT", 16, -52)
	
	local formatBoxTitle = formatBox:CreateFontString("RealID_ToonsConfigBox1Title", "ARTWORK", "GameFontHighlight")
	formatBoxTitle:SetPoint("LEFT", formatBox, "RIGHT", 0, 1)
	formatBoxTitle:SetText(L["Custom Format String"])
	
	local optionsHelpHeader = options:CreateFontString("RealID_ToonsConfigHelpHeader", "ARTWORK", "GameFontNormal")
	optionsHelpHeader:SetPoint("TOPLEFT", 16, -88)
	optionsHelpHeader:SetText(L["The following substitutions are available for the format string:"])
	
	local optionsHelp1 = options:CreateFontString("RealID_ToonsConfigHelp1", "ARTWORK", "GameFontNormal")
	optionsHelp1:SetPoint("TOPLEFT", 22, -104)
	optionsHelp1:SetText(L["$t - Character Name, uncolored"])
	
	local optionsHelp2 = options:CreateFontString("RealID_ToonsConfigHelp2", "ARTWORK", "GameFontNormal")
	optionsHelp2:SetPoint("TOPLEFT", 22, -120)
	optionsHelp2:SetText(L["$T - Character Name, class colored"])
	
	local optionsHelp3 = options:CreateFontString("RealID_ToonsConfigHelp3", "ARTWORK", "GameFontNormal")
	optionsHelp3:SetPoint("TOPLEFT", 22, -136)
	optionsHelp3:SetText(L["$c - Class Name"])
	
	local optionsHelp4 = options:CreateFontString("RealID_ToonsConfigHelp4", "ARTWORK", "GameFontNormal")
	optionsHelp4:SetPoint("TOPLEFT", 22, -152)
	optionsHelp4:SetText(L["$C - Class Name, class colored"])
	
	local optionsHelp5 = options:CreateFontString("RealID_ToonsConfigHelp5", "ARTWORK", "GameFontNormal")
	optionsHelp5:SetPoint("TOPLEFT", 22, -168)
	optionsHelp5:SetText(L["$s - Realm/Server Name (only displayed when different than the player's)"])
	
	local optionsHelp6 = options:CreateFontString("RealID_ToonsConfigHelp6", "ARTWORK", "GameFontNormal")
	optionsHelp6:SetPoint("TOPLEFT", 22, -184)
	optionsHelp6:SetText(L["$S - Realm/Server Name (always displayed)"])
	
	local optionsHelp7 = options:CreateFontString("RealID_ToonsConfigHelp7", "ARTWORK", "GameFontNormal")
	optionsHelp7:SetPoint("TOPLEFT", 22, -200)
	optionsHelp7:SetText(L["$f - Faction Symbol (only displayed when different than the player, or from another server)"])
	
	local optionsHelp8 = options:CreateFontString("RealID_ToonsConfigHelp8", "ARTWORK", "GameFontNormal")
	optionsHelp8:SetPoint("TOPLEFT", 22, -216)
	optionsHelp8:SetText(L["$F - Faction Symbol (always displayed)"])
	
	local optionsHelp9 = options:CreateFontString("RealID_ToonsConfigHelp9", "ARTWORK", "GameFontNormal")
	optionsHelp9:SetPoint("TOPLEFT", 22, -232)
	optionsHelp9:SetText(L["$l - Character Level"])
	
	local optionsHelp10 = options:CreateFontString("RealID_ToonsConfigHelp10", "ARTWORK", "GameFontNormal")
	optionsHelp10:SetPoint("TOPLEFT", 22, -248)
	optionsHelp10:SetText(L["$L - Character Level (colored by level difference)"])
	
	local optionsHelp11 = options:CreateFontString("RealID_ToonsConfigHelp11", "ARTWORK", "GameFontNormal")
	optionsHelp11:SetPoint("TOPLEFT", 22, -264)
	optionsHelp11:SetText(L["$r - Character Race"])
	
	local optionsHelp12 = options:CreateFontString("RealID_ToonsConfigHelp12", "ARTWORK", "GameFontNormal")
	optionsHelp12:SetPoint("TOPLEFT", 22, -280)
	optionsHelp12:SetText(L["$n - Friend Note (only diplayed in Chat Alerts)"])
	
	local optionsHelp13 = options:CreateFontString("RealID_ToonsConfigHelp13", "ARTWORK", "GameFontNormal")
	optionsHelp13:SetPoint("TOPLEFT", 22, -296)
	optionsHelp13:SetText(L["$N - Friend Note (always displayed)"])
end